Bug Hunting Session
Bug 79741 - Macro with Find @ Replace crash Calc
Summary: Macro with Find @ Replace crash Calc
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.5.1 rc
Hardware: x86 (IA32) All
: medium major
Assignee: Julien Nabet
URL:
Whiteboard: target:5.1.0 target:5.0.2 target:4.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2014-06-06 19:21 UTC by poky
Modified: 2016-10-25 19:23 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
bt console (13.50 KB, text/plain)
2014-06-06 21:18 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description poky 2014-06-06 19:21:55 UTC
Macro with Find @ Replace crash Calc.
Tested on OS: Windows XP, Debian Sqeeze.
Crash with LibreOffice Calc 4.2.5rc1, not problem with LibreOffice Calc 4.1.x series.

1. Open LibreOffice Calc 4.2.5
2. Insert 123 to any cell
3. Tools - Macros - Record Macro
4. Edit - Find @ Replace - Search for - insert 123 - Replace with - insert 456 - Replace all - Close - Close
5. Stop Recording - Macro name - insert macrofindreplace - Save
6. Insert 123 to any cell
7. Tools - Macros - Run Macro - macrofindreplace
8. Crash LibreOffice Calc 4.2.5.
Comment 1 Julien Nabet 2014-06-06 21:18:25 UTC
Created attachment 100562 [details]
bt console

On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.
Comment 2 Julien Nabet 2014-06-06 21:19:25 UTC
I put it at NEW but have in mind that recording macro is experimental so unless you want to try to debug it, I'm not sure someone will take a look soon.
But perhaps I'm wrong! :)
Comment 3 QA Administrators 2015-06-08 14:41:33 UTC Comment hidden (obsolete)
Comment 4 Buovjaga 2015-06-21 17:12:36 UTC
Still crashing.

Win 7 Pro 64-bit Version: 5.1.0.0.alpha1+
Build ID: 3ecef8cedb215e49237a11607197edc91639bfcd
TinderBox: Win-x86@62-merge-TDF, Branch:MASTER, Time: 2015-06-19_23:16:58
Locale: fi-FI (fi_FI)
Comment 5 Julien Nabet 2015-08-09 10:33:16 UTC
Just for the record, I proposed a patch here:
https://gerrit.libreoffice.org/#/c/17603/
Comment 6 Commit Notification 2015-08-09 14:01:38 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=958ec9ccfe3bbe54369f9e9105c10beae80d9548

tdf#79741: Macro with Find @ Replace crash Calc

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2015-08-11 10:29:24 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ed09c7638e3ea40fc40b51af5cf0b2018c5c78c9&h=libreoffice-5-0

tdf#79741: Macro with Find @ Replace crash Calc

It will be available in 5.0.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-08-11 13:28:17 UTC
Julien Nabet committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=04f704066e60f10c68c76d757033746e9fa2aaa7&h=libreoffice-4-4

tdf#79741: Macro with Find @ Replace crash Calc

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.